Skip to main content
POST
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-3b
/
{year}
/
{month}
/
offset-liability
curl --request POST \ --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}/offset-liability \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "pdcash": [ { "liab_ldg_id": 0, "trans_typ": 30002, "ipd": 24217, "cpd": 0, "spd": 0, "cspd": 0, "i_intrpd": 0, "c_intrpd": 0, "s_intrpd": 0, "cs_intrpd": 0, "c_lfeepd": 0, "s_lfeepd": 0 }, { "liab_ldg_id": 0, "trans_typ": 0, "ipd": 0, "cpd": 0, "spd": 0, "cspd": 0, "i_intrpd": 0, "c_intrpd": 0, "s_intrpd": 0, "cs_intrpd": 0, "c_lfeepd": 0, "s_lfeepd": 0 } ], "pditc": { "liab_ldg_id": 0, "trans_typ": 30002, "i_pdi": 421, "i_pdc": 1181, "i_pds": 1181, "c_pdi": 0, "c_pdc": 0, "s_pdi": 0, "s_pds": 0, "cs_pdcs": 0 } } '
{ "code": 200, "data": { "error": { "error_cd": "RT-3BGV1005", "message": "Return period is invalid. If error persists quote error number RT-3BGV1005 when you contact customer care for quick resolution" }, "status_cd": "0" }, "timestamp": 1763446641000, "transaction_id": "71c5bead-7e71-4abf-8754-6e71180c0060" }

Request body schema

View request body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

RT-3BGV1005 Invalid return period / 200 Partial or excess payment is not allowed / 200 Payment of tax done

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"71c5bead-7e71-4abf-8754-6e71180c0060"